GH-REPO-RENAME(1)

NAME
gh-repo-rename - Rename a repository

SYNOPSIS
gh repo rename [<new-name>] [flags]

DESCRIPTION
Rename a GitHub repository.

<new-name> is the desired repository name without the owner.

By default, the current repository is renamed. Otherwise, the repository specified with --repo is renamed.

To transfer repository ownership to another user account or organization, you must follow additional steps on github.com.

For more information on transferring repository ownership, see: ⟨https://docs.github.com/en/repositories/creating-and-managing-repositories/transferring-a-repository⟩

OPTIONS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

-y, --yes
    Skip the confirmation prompt

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Rename the current repository (foo/bar -> foo/baz)
    $ gh repo rename baz
    # Rename the specified repository (qux/quux -> qux/baz)
    $ gh repo rename -R qux/quux baz

SEE ALSO
gh-repo(1)